#*****************************************************************************
#* File: 555regsdef.s
#* Version: 1.00,   20/12/1999
#* Author:  Pierre POMIERS , ROBOSOFT (pierre@robosoft.fr)
#-----------------------------------------------------------------------------
#* Modification:
#*   1.00 - Base version
#-----------------------------------------------------------------------------

#*****************************************************************************
#* MPC555 registers definition
#-----------------------------------------------------------------------------

/*------- General Purpose Registers -------*/
sp=1;   SP=1;   /* stack pointer */
r0=0;   r1=1;   r2=2;   r3=3;   r4=4;   r5=5;   r6=6;   r7=7;
r8=8;   r9=9;   r10=10; r11=11; r12=12; r13=13; r14=14; r15=15;
r16=16; r17=17; r18=18; r19=19; r20=20; r21=21; r22=22; r23=23;
r24=24; r25=25; r26=26; r27=27; r28=28; r29=29; r30=30; r31=31;

/*------- Floating Point Registers -------*/
fr0=0;   fr1=1;   fr2=2;   fr3=3;   fr4=4;   fr5=5;   fr6=6;   fr7=7;
fr8=8;   fr9=9;   fr10=10; fr11=11; fr12=12; fr13=13; fr14=14; fr15=15;
fr16=16; fr17=17; fr18=18; fr19=19; fr20=20; fr21=21; fr22=22; fr23=23;
fr24=24; fr25=25; fr26=26; fr27=27; fr28=28; fr29=29; fr30=30; fr31=31;

/*------- User-Level Special Purpose Registers -------*/
XER=1; LR=8; CTR=9; TBUR=268; TBLR=269;
xer=1; lr=8; ctr=9; tbur=268; tblr=269;

/*------- Supervisor-Level Special Purpose Registers -------*/
DSISR=18; DAR=19; DEC=22; SRR0=26; SRR1=27; EIE=80; EID=81; NRI=82;
dsisr=18; dar=19; dec=22; srr0=26; srr1=27; eie=80; eid=81; nri=82;
SPRG0=272; SPRG1=273; SPRG2=274; SPRG3=275; TBUW=284; TBLW=285; PVR=287;
sprg0=272; sprg1=273; sprg2=274; sprg3=275; tbuw=284; tblw=285; pvr=287;
ICCST=560; ICADR=561; ICDAT=562; FPECR=1022;
iccst=560; icadr=561; icdat=562; fpecr=1022;

/*------- Development-Support Special Purpose Registers -------*/
CMPA=144; CMPB=145; CMPC=146; CMPD=147; ECR=148; DER=149;
cmpa=144; cmpb=145; cmpc=146; cmpd=147; ecr=148; der=149;
COUNTA=150; COUNTB=151; CMPE=152; CMPF=153; CMPG=154; CMPH=155;
counta=150; countb=151; cmpe=152; cmpf=153; cmpg=154; cmph=155;
LCTRL1=156; LCTRL2=157; ICTRL=158; BAR=159; DPDR=630;
lctrl1=156; lctrl2=157; ictrl=158; bar=159; dpdr=630;

